ubuntu下ruby和rails的安装

作者: juandx
发布时间:2015-07-13 11:30:31

转自http://blog.csdn.net/jaketseng/article/details/8892568

 

 

在Ubuntu上面安装软件是比较简单的事情,apt-get一下就好。

不过安装Ruby会些旧了,如果是直接

 

  1. $ sudo apt-get install ruby  

就会安装上ruby 1.8.7 。这个版本连gem也没带。

搜索一下apt库,会发现其实还有ruby1.9.3-full

 

  1. $ sudo apt-cache search ruby  

 

安装

 

  1. $ sudo apt-get install ruby1.9.3-full  


就可以将ruby1.9.3安装上。

 

不过目前ruby最高版本是2.0.0,那么安装起来就有些麻烦了。

按照http://ruby-china.org/wiki/install_ruby_guide的说明进行安装是可行的,不过期间要注意几个事情,这里把整个过程说明一下:

 

1. 首先在使用apt-get之前,必须先update一下,否则有些库是安装不上的。

 

  1. $ sudo apt-get update  
  1. $ sudo apt-get install -y build-essential openssl curl libcurl3-dev libreadline6 libreadline6-dev git zlib1g zlib1g-dev libssl-dev libyaml-dev libxml2-dev libxslt-dev autoconf automake libtool imagemagick libmagickwand-dev libpcre3-dev libsqlite3-dev libmysql-ruby libmysqlclient-dev  

 


2. 安装RVM

 

  1. $ curl -L https://get.rvm.io | bash -s stable  

 


下面这步是不行的,要logout再次登录

 

  1. $ source ~/.rvm/scripts/rvm  

 

然后就安装好rvm了

 

  1. $ rvm -v  


3. 安装Ruby

 

要先执行一下,不然下面的流程跑不动。

 

  1. $ rvm autolibs enable  


下面这步可选,如果是在自己的虚拟机或者国内的服务器就要加上,国外的VPS什么的就不需要了。功能是把rvm的源改成国内淘宝提供的源。

 

 

  1. $ sed -i .bak 's!ftp.ruby-lang.org/pub/ruby!ruby.taobao.org/mirrors/ruby!' $rvm_path/config/db  


然后安装

 

 

  1. $ rvm pkg install readline  

 

  1. $ rvm install 2.0.0 --with-readline-dir=$rvm_path/usr  


最后设置一下ruby的版本

 

 

  1. $ rvm 2.0.0 --default  

 

好,看一下结果

 

  1. $ ruby -v  
  2. ruby 2.0.0p0 (2013-02-24 revision 39474) [x86_64-Linux]  
  1. $ gem -v  
  2. 2.0.3  

 

4. 配置gem的源,也是国内必须国外可选

 

  1. $ gem source -r https://rubygems.org/  
  2. $ gem source -a http://ruby.taobao.org  


文章后面还有安装rails的方法,但目前还不需要。

 

 

 

 

 http://www.cnblogs.com/keen-allan/archive/2012/04/22/2464541.html

 第二篇文章   rails的安装

 

为安装RVM做些准备

现在开始安装,RVM 脚本需要先安装好 Curl 和 Git。Curl 是一个使用多种协议(如 HTTP 或 FTP)进行数据传输的工具。而“Git 是一个免费的开源分布式版本控制系统,适用于从小型项目到非常大的项目,兼顾了速度和效率.打开终端输入一下命令

sudo apt-get install curl
sudo apt-get install git-core

配置Git

Git 会在 RVM 脚本中使用,安装之后,我们需要花一点时间来配置它。配置很容易:只要提供一个用户名和邮件地址即可。

git config --global user.name "Your Name"
git config --global user.email your-email@address.com

安装 RVM

现在我们可以安装 RVM 了。RVM 的意思是 Ruby 版本管理器,“是一个命令行工具,让你容易的安装、管理和使用多个 Ruby 环境及其相应的 Gem 包。”下列命令来安装这个脚本。RVM 将安装在你当前登录用户的主目录里。

bash -s stable <(curl -s https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer )

切换到主目录,然后添加rvm scripts路径变量到bash:

echo '[[ -s "$HOME/.rvm/scripts/rvm" ]] && . "$HOME/.rvm/scripts/rvm" # Load RVM function' >> ~/.bash_profile

手动重新载入设置文件,也可以另外打开一个新的终端窗口自动载入。这样 rvm 命令就可以用了。

source ~/.bash_profile

如果一切正常,命令将返回“rvm is a function”(rvm 是函数)。否则,可以访问 RVM 网站的“Troubleshooting your install”栏目找找解决办法。(应该是没有问题的!)
当以上操作都成功之后,你就可以开始安装ruby的编译器了…使用RVM命令进行安装

$ rvm list known    #从结果中选择一个版本进行安装
$ rvm install 1.9.3  #安装成功后通过以下命令查看版本
$ ruby -v
$ gem -v

如果有需要可以手动更新下RubyGems 和其他需要更新的 Gem

$ gem update --system
$ gem update

使用 RubyGems 安装 Rails

$ gem install rails
$ rails -v

PS:如过使用gem install报错,可能是Ubuntu本身少一些依赖,不过我使用的教新的Ubuntu没有发现网上大家所的问题.

 

 

 

 

标签: Rails Ruby Ubuntu
来源:http://www.cnblogs.com/juandx/articles/3855200.html

推荐: